#ifndef CUSTOMER_HH
#define CUSTOMER_HH

#include <string>
#include "cart.hh"

class Shop;

struct Customer {
  Customer(const std::string& n) : name(n), shop(0) {}
  void look(bool verbose = false);
  void go(Shop* to_shop);
  void leave();

  std::string name;
  Cart cart;
  Shop *shop;
};

#endif
