#include "mall.hh"
#include <iostream>
#include "cart.hh"
#include "product.hh"

Shop* Mall::clone(const std::string& name, Shop* parent) const {
  return new Mall(name);
}

Cart Mall::get_cart() { return Cart(); }

void Mall::check_out(Cart &cart) {
  using namespace std;
  const Products &products = cart.products();
  Price total;
  for(Products::const_iterator 
	i = products.begin(); i != products.end(); i++) {
    total += (*i)->price;
    //    cout << (*i)->name << ": " << (*i)->price << endl;
  }
  cout << "You pay " << total << ". Please come again!" << endl;
}
