#ifndef MALL_HH
#define MALL_HH

#include <string>
#include "shop.hh"

class Cart;

class Mall: public Shop {
public:
  Mall(const std::string& name) : Shop(name) {}
  Shop* clone(const std::string& name, Shop* parent = 0) const;
  Cart get_cart();
  void check_out(Cart &cart);
  void put_in_cart(Cart &cart, const Product *product) {}
  void remove_from_cart(Cart &cart, const Product *product) {}

private:
};

#endif
