#ifndef CART_HH
#define CART_HH

#include "product.hh"

class Cart {
public:
  const Products& products() const { return _products; }
  void add_product(const Product *product);
  void remove_product(const Product *product);

private:
  Products _products;
};

#endif
