#ifndef PARSER_HH
#define PARSER_HH
#include <stdexcept>
#include <string>

class ParseError: public std::runtime_error { 
public:
  ParseError(const std::string& msg) : std::runtime_error(msg) {}
};

class SyntaxTree;

SyntaxTree* parse(std::string code);

#endif
