#include "shop.hh"
#include <stdexcept>
#include "customer.hh"

void Shop::enter(Customer *customer) {
  _customers.insert(customer);
}

void Shop::exit(Customer *customer) {
  Customers::iterator i = 
    find(_customers.begin(), _customers.end(), customer);
  if(i == _customers.end())
    throw std::runtime_error("Customer \""
			     + (*i
				? (*i)->name
				: std::string("null"))
			     + "\" is not inside \"" + _name + '"');
  _customers.erase(i);
}
